Subject: Re: git: detect file creator

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Jul 2022 23:11:44 -0700

Sim Tov <[email-masked]> writes:

> PS: the only way I see to approach it is to create a mechanism that
> will prevent renaming
> files by anyone except for the file creator (the one who Added file).
> Can such a commit hook be created? If yes - how?

As Git is distributed, local hooks cannot fundamentally be used as
an enforcement mechanism.

How about running "git blame" on the end-result, with -C/-M turned
on, instead of paying too much attention to file creation?  That
way, at least you can trace who contributed the words on each line.